package yytrpc

import (
	"git.tetele.net/yueheng/conf"
)

type Req struct {
	SiteId string
	Dbname string
}

type Res struct {
	Errcode int
	Errmsg  string
}

func rpc_server_conn(url ...string) (*OrderServiceClient, error) {

	var rpc_url string
	if len(url) > 0 && url[0] != "" {
		rpc_url = url[0]
	} else if conf.YYT_RPC_URL != "" {
		rpc_url = conf.YYT_RPC_URL
	} else {
		rpc_url = "127.0.0.1:" + conf.YYT_RPC_URL
	}

	conn, _, err := DialOrderService("tcp", rpc_url)

	if err != nil {
		return nil, err
	}

	return conn, nil
}
